package lieAlgebra;
/*
 * 
 * Licensed under the Creative Commons Zero (CC0) license (https://creativecommons.org/publicdomain/zero/1.0/)
 * 
 */
public class ExtendedSphericalLieMarkovRateMatrix extends
		SphericalLieMarkovRateMatrix {
	private static final long serialVersionUID = -6255086862221230158L;
	
	public ExtendedSphericalLieMarkovRateMatrix(String modelName, String permutation) {
		super(modelName, permutation);
	}
	/*
	 * Non-redundant ranges of parameters are 0-1. Extended range should eliminate boundaries which
	 * optimization search could get stuck on.
	 */
	
	@Override
	public double getRateParameterLowerBound(int parameter) { return (parameter==0) ? -0.99999 : -1; }
	@Override
	public double getRateParameterUpperBound(int parameter) { return (parameter==0) ?  0.99999 :  2; }
}
