package lieAlgebra;

import java.io.FileOutputStream;
import java.io.IOException;
import java.io.OutputStream;
import java.io.PrintStream;

import mdwUtils.TeePrintStream;
/*
 * This file is necessary for licensing issues. 
 * TeePrintStream is copyright (c) Ian F. Darwin, http://www.darwinsys.com/
 * and comes with license conditions incompatible with Creative Commons zero.
 * 
 * 
 * 
 */


public class TeePrintStreamWrapper extends PrintStream {
	
	protected PrintStream wrappedStream = null;
	  
	public TeePrintStreamWrapper(PrintStream orig, OutputStream os, boolean flush) throws IOException {
		super(os,true);
		// If TeePrintStream is available:
		wrappedStream = new TeePrintStream(orig, os, flush);
		// If TeePrintStream is not available:
		// wrappedStream = new PrintStream(os,flush);
	  }
	  
	  public TeePrintStreamWrapper(PrintStream orig, String fn, boolean flush) throws IOException {
		  this(orig, new FileOutputStream(fn), flush);
	  }

	  

}
